Page MenuHomePhabricator

MediaWiki Workshop in Buea, Cameroon
Closed, ResolvedPublic

Description

Workshop Title

MediaWiki Workshop Buea

Draft Agenda of the Workshop

Start Time: 9:00am and End Time: 3:50pm

Part 1

  • General introduction of organisers of workshop, attendees [7mins]
  • A brief introduction to MediaWiki and other Wikimedia related projects [16mins]
  • Talk about the Wikimedians of Cameroon User Group [7mins]
  • Light refreshment while preparing to start the workshop [10mins]
  • Installation and setting up of MediaWiki [2hrs 10mins]
    • Create account on https://www.mediawiki.org [10mins]
    • Follow Gerrit Tutorials and online resources during the workshop [1hr 30mins]
  • Question and Answer session on what has been done in the workshop [30mins]
  • General discussion, Wikimedia Related talks, advises from organisers and sharing of Wikimedia Swags to audience [30mins]

Part 2

  • BREAK BREAK BREAK [30mins]
    • During this period, we may take individual pictures and catch some fun and do some personalised discussion and other unrelated workshop activities. Pictures will be nicely selected and uploaded to Wikimedia commons.

Part 3

  • Practical examples and real work related to the knowledge acquired in part 1 of the workshop (Building an example extension) [1 hr].
  • Discussion of upcoming opportunities in Wikimedia such as Outreach for women, GSoC, Wikimedia Hackathon and conferences, Edit-A-thons etc… [30mins].
  • Distribution of prizes and merchandising to attendees. [30mins].

The awarding of prizes will follow the criteria below:

    • Most early attendees (2).
    • Most participating attendees during workshop (4).
    • Answers to questions after workshop (per attendee).
  • Conclusion, group eating and drinking, sharing of ideas and closing of the event [30mins].
    • Including cleaning and rearrangement of the place.
    • Disposing of waste after eating.

Point of Focus

This workshop will focus on;

  • Guiding newbies on how to setup MediaWiki locally and setup their development environments to start contributing the Wikimedia projects (MediaWiki core and extensions).

Information about workshop

  • Estimated number of attendees = 40
  • Location of the workshop = Buea, Cameroon
  • Host = Wikimedians of Cameroon User Group
  • Date of workshop = 8th July, 2017
  • Workshop organisers = Alangi Derick N(@D3r1ck01), Egbe Eugene(@Eugene233 ), Perside Rosalie (@rosalieper), Angeh Courage
  • Duration = 6 hours 50mins (3hrs 50mins part 1 and 2:30mins part 2 excluding break)

Preparations before the event

  • Online sensitisation of audience through mediums like: Twitter, Facebook, Emails etc...
  • Guide participants to have necessary tools and software to enable them prepare their PC before the event.
  • Creating of a Google Doc for registration for the event so we could keep track of the names and info about the users/audience that will attend the shop. Here: Registration Form

Merits of the workshop

  • Through this event, the number of user accounts on https://www.mediawiki.org and https://en.wikipedia.org will increase and the important part is that we will get users from Cameroon and increase awareness of various Wikimedia projects in the country.
  • This event will also bring in new developers into Wikimedia hence increasing the number of volunteer developers.

Support from Wikimedia Foundation

  • Wikimedia Foundation is the main sponsor of the event by funding the workshop via a Rapid Grant.
  • Wikimedia DE supported the workshop with merchandisings (T-shirts, Notes, Pencils, Wikidata & Wikipedia stickers).

Resources to be used

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
D3r1ck01 updated the task description. (Show Details)Nov 4 2016, 9:15 AM
D3r1ck01 updated the task description. (Show Details)Nov 4 2016, 9:43 AM
D3r1ck01 updated the task description. (Show Details)Nov 4 2016, 1:14 PM

@Rocardho and @Melvis_R, I have added the draft agenda for the event. Check it out and lets make comments and improve on it. Also, others can make suggestions lets see how we can make the agenda perfect for the event. Thanks.

D3r1ck01 added a comment.EditedNov 7 2016, 2:44 PM

WMDE is supporting the Wikimedia Community User Group Cameroon(in the making) workshop by providing swags. Thank you WMDE.

@D3r1ck01 - please be more careful in phrasing. At the moment, there is no recognized user group in Cameroon. I understand you are interested in founding one, and that you are in contact with the Affiliation Committee about it; that's great! But until the group is actually recognized by the Wikimedia Foundation, you should not bill yourself as "Wikimedia Community User Group Cameroon", especially in contact with partners.

FYI, @Lydia_Pintscher, @Lea_Lacroix_WMDE.

@Ijon, thanks for the correction. Will edit the comment right away but If my correction isn't correct, feel free to correct to match the correct phrase. Thanks.

Qgil added a comment.Nov 8 2016, 2:58 PM

Proposed date of workshop = 19th November, 2016 or 26th November, 2016

Are you sure about these dates? You are asking for funding (that needs a budget and approval) and merchandising (that needs approval and shipping). I don't see this happening in 8 or 13 working days. You should first secure the funding (through a Rapid Grant), and once you know what you are getting and when, define the dates.

You might get questions from the approvers of the grant (which is not me / not my team). One detail that calls my attention is the request for funds "to get the space, internet connectivity and get the workshop to run"? Couldn't your university provide such space with connectivity?

@Qgil, thanks very much for this point. Actually, the date has not been made public to the community members and also, the date will be changed. I was discussing with other members of the UG and we are still doubting the dates mentioned. Those are just proposed dates and you are right that funding and request of merchandise needs approval and the date is too soon. The dates was put when the ticket was created and we had not started requesting for funding or merchandise from the Wikimedia Foundation. So, the dates will be pushed to January for everything to be well planned. Thanks very much @Qgil, for this point and it will be edited right away to match future dates.

D3r1ck01 updated the task description. (Show Details)Nov 8 2016, 6:23 PM

Couldn't your university provide such space with connectivity?

@Qgil, As for the space and internet connectivity, I am still working with my team to have a favourable place to have internet and space for almost free (my university is included). I am not that sure of my University but I have other institutions in mind to use for the space and internet connectivity but I doubt if it will be free. In addition, we have some incubators and hubs that power events here in our community (that provide space and internet) but are not free.

@Rocardho, @Melvis_R and @Em212016, what are your thoughts about the agenda? Is it ok like that? Are there some improvements to be made, I wish you share your thoughts about the agenda and if there is more info, you can share here. Thanks.

@D3r1ck01- IMO the time programmed for the introduction of organizers is much in a sense why not deduct that and add to the time to letting the attendees know about the Wikimedia Community?

D3r1ck01 updated the task description. (Show Details)Nov 13 2016, 10:28 PM

@D3r1ck01- IMO the time programmed for the introduction of organizers is much in a sense why not deduct that and add to the time to letting the attendees know about the Wikimedia Community?

I think you have a point there @Eugene233, Since you are an organiser, you are free to edit this ticket and make updates to match your suggestion. As you can see, the agenda is still a draft and we are working on it to make it better. Feel free to edit.

Eugene233 updated the task description. (Show Details)Nov 15 2016, 9:14 PM

I think the agenda is OK for now.

I think the agenda is OK for now.

Ok @Em212016. If there is anything you think that should be changed, added or removed on this ticket, feel free to leave a comment. Thanks.

D3r1ck01 updated the task description. (Show Details)Dec 1 2016, 8:35 PM
srishakatux added a comment.EditedDec 8 2016, 8:12 PM

@D3r1ck01 @Rocardho Here is a summary of what we discussed in our meeting today, feel free to add anything I may have missed:

  • To include in the agenda, a brief introduction to MediaWiki and the Wikimedia project
  • Consider sharing a clear set of instructions with participants via email or a social media channel which is preferred by students, related to setting up accounts for MediaWiki dev environment setup ahead of the workshop
  • Collect reflections from people at the end of the event, what did they learned, and how was their experience. We would invite the team to write a blog post later
  • Consider using a social media channel to form a group before and after the workshop for continuing conversations. Use this as a means for students interested in applying to outreach programs help each other in answering questions, etc.
  • Effective outreach strategies to invite students to sign up for VisualEditor track of the workshop as there are currently fewer signups. Ideas for reaching out to students pursuing journalism or related coursework who might be interested. Share some example wiki editathons projects (e.g. https://twitter.com/WikiWomenInRed) while reaching out. Word of mouth to reach out to the local communities in Buea, personal messages to people, etc.

thanks for the recommendations

Regards.

Qgil added a comment.Dec 9 2016, 8:54 AM

Great recommendations! Too good not to be on a wiki page to help future similar events?

@srishakatux, I think you listed almost all the points but forgot just one out. Here it goes;

  • At the top of the registration form, I should include some clear explanations about what the event is all about. Like little summaries for what MediaWiki setting up is all about and also learning of VisualEditor so the people registering know up-front the kind of things they are going to get involved int. The emphasis is that it should be in the registration form.

Thats all you left out and I will do that ASAP. Thanks very much for the recommendation, we are much grateful.

Yes @Qgil, I think they are very good points to go on a Wiki page. Do you have any Idea where me or @srishakatux can list down this points for future help if a page like this already for such ideas or should we go ahead and create a new wiki page?

D3r1ck01 updated the task description. (Show Details)Dec 13 2016, 8:35 PM
D3r1ck01 renamed this task from Wikimedia Workshop: Installation of MediaWiki (development env) and learning of VisualEditor (writing articles on Wikipedia) to Wikimedia Workshop: Installation of MediaWiki (development env).Dec 20 2016, 1:27 PM
D3r1ck01 updated the task description. (Show Details)
D3r1ck01 updated the task description. (Show Details)

Reasons for change of ticket content

  • Number of people interested in Writing is too small.
  • Advice from more experienced members of the community advised a MediaWiki event first like @Qgil etc...
  • Grand committee also highlighted on @Qgil's point to have more focus and dedicated contributors.
  • Getting a more focused group and focusing on one thing at a time is best done. Also, organisers are quite busy with school (not all) so following up will be a little hard for them to manage.

There will be another event for writers (Wikipedians and other writing related activities on Wikis) as time goes on. For now, it will be MediaWiki and focus on developers. We will keep building a list of those interested in writing and have an event for time when we are ready. Thanks.

D3r1ck01 updated the task description. (Show Details)Jan 2 2017, 2:09 PM
D3r1ck01 renamed this task from Wikimedia Workshop: Installation of MediaWiki (development env) to Wikimedia Workshop: MediaWiki (development env) Workshop.Jan 2 2017, 2:44 PM
D3r1ck01 updated the task description. (Show Details)

(Removing quarterly project and resetting to Developer-Advocacy. Please update accordingly once a date has been defined - thanks!)

According to the description: Date of workshop = 14th January, 2017 (agreed date)

Qgil triaged this task as Normal priority.Jan 7 2017, 1:17 PM
Qgil moved this task from Backlog to January on the Developer-Advocacy (Jan-Mar-2017) board.
Aklapper renamed this task from Wikimedia Workshop: MediaWiki (development env) Workshop to Wikimedia/MediaWiki (development env) Workshop in Buea, Cameroon.Jan 8 2017, 8:42 PM
D3r1ck01 updated the task description. (Show Details)Jan 10 2017, 1:18 PM
D3r1ck01 updated the task description. (Show Details)Jan 10 2017, 2:07 PM
D3r1ck01 updated the task description. (Show Details)Feb 12 2017, 10:48 AM
D3r1ck01 updated the task description. (Show Details)Mar 30 2017, 11:14 PM

@D3r1ck01 I heard that there is internet available in the region specified. So please can any updates be done so the attendees be informed with the new updates...

Yes @Eugene233. Internet was restored 3 days ago. So i was waiting for a few days to be sure it won't be cut again. So now that we are sure about the restoration, we can continue from where we stopped. We will contact the students with the updates and continue with this event as planned. Thanks

D3r1ck01 updated the task description. (Show Details)May 17 2017, 11:15 PM
D3r1ck01 updated the task description. (Show Details)May 17 2017, 11:18 PM
D3r1ck01 removed subscribers: Em212016, Melvis_R, Rocardho.
Eugene233 updated the task description. (Show Details)May 18 2017, 7:19 AM
Eugene233 updated the task description. (Show Details)May 18 2017, 7:22 AM
rosalieper updated the task description. (Show Details)Jun 8 2017, 2:16 PM

@D3r1ck01, based on the discussion we had earlier today online, I have made the changes you asked me to. The rest will be done by you :).

@rosalieper, thanks for the edit. I just updated the ticket too. I am not yet done but will finish it by the end of today.

Eugene233 updated the task description. (Show Details)Jun 8 2017, 2:36 PM
D3r1ck01 updated the task description. (Show Details)Jun 8 2017, 8:22 PM
D3r1ck01 renamed this task from Wikimedia/MediaWiki (development env) Workshop in Buea, Cameroon to MediaWiki Workshop in Buea, Cameroon.Jun 8 2017, 8:25 PM
D3r1ck01 updated the task description. (Show Details)

This event will be taking place next week :). Stay tuned!

D3r1ck01 updated the task description. (Show Details)Jul 5 2017, 10:30 AM
Eugene233 updated the task description. (Show Details)Jul 6 2017, 9:42 AM
Eugene233 updated the task description. (Show Details)
Eugene233 updated the task description. (Show Details)

It will be of great importance if we also collect feedback from the attendees which will help us plan any other upcoming event. I will be in charge of that.

Yes @Eugene233, we will obviously get feedback from the participants. Thanks so much for volunteering to handle this task.

Thank you for the prices criteria too.

Eugene233 updated the task description. (Show Details)Jul 6 2017, 10:34 AM

Resolving this as its done. Thank you all :).

D3r1ck01 closed this task as Resolved.Jul 10 2017, 5:52 AM
Qgil awarded a token.Jul 11 2017, 10:14 AM
Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptAug 1 2017, 9:39 PM
Qgil added a comment.Sep 29 2017, 10:31 AM

Maybe you have replied to this somewhere else but, are there pictures of this event? All the better if they are uploaded to Commons. I would like to use them in a blog post and our quarterly review.

This comment was removed by D3r1ck01.

@Qgil, here is a link to Wikimedians of Cameroon User Group Category on commons: https://commons.wikimedia.org/wiki/Category:Wikimedians_of_Cameroon_User_Group. There you will see the pictures of the workshop tagged "MediaWiki WorkshopXX". Will create a subcategory for it ASAP and add here.

Hello @Qgil, here is the sub-category for the MediaWiki workshop Buea: https://commons.wikimedia.org/wiki/Category:MediaWiki_Workshop_Buea. Ping me in case of anything else, thanks :).

Qgil added a comment.Oct 5 2017, 10:04 AM

Thank you very much!

Thank you very much!

You're highly welcome anytime @Qgil.